SKILL(1)

BEZEICHNUNG
skill, snice - ein Signal senden oder den Prozessstatus ermitteln

ÜBERSICHT
skill [Signal-Option] [weitere Option ...] Ausdruck

snice [neue Priorität] [Option …] Ausdruck

BESCHREIBUNG
Diese Dienstprogramme sind veraltet und nicht portabel. Die Befehlssyntax ist unzureichend dokumentiert. Bitte verwenden Sie stattdessen die Befehle killall(1), pkill(1) und pgrep(1).

Das Standardsignal für skill ist TERM. Verwenden Sie -l oder -L, um verfügbare Signale aufzulisten. Im Einzelnen sind diese Signale HUP, INT, KILL, STOP, CONT und 0. Andere Signale können auf drei verschiedene Arten angegeben werden: -9, -SIGKILL oder -KILL.

Die Vorgabepriorität für snice ist +4. Prioritätskennziffern liegen im Bereich von +20 (am langsamsten) und -20 (am schnellsten). Negative Prioritätskennziffern sind Benutzern mit Administratorrechten vorbehalten.

OPTIONEN

-f, --fast
    Schneller Modus. Diese Option wurde nicht implementiert.

-i, --interactive
    Interaktiver Modus. Sie werden vor der Ausführung einer Aktion stets um Bestätigung gebeten.

-l, --list
    listet alle Signalnamen auf.

-L, --table
    listet alle Signalnamen in einer Tabelle auf.

-n, --no-action
    führt keine Aktion aus. Es wird eine Simulation ausgeführt, aber keine Änderung am System vorgenommen.

-v, --verbose
    Ausführlicher Modus, es wird erklärt, was geschieht.

-w, --warnings
    aktiviert Warnungen. Diese Option wurde nicht implementiert.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an.

OPTIONEN ZUR PROZESSAUSWAHL
Auswahlkriterien können sein: terminal, user, pid, command. Die nachfolgenden Optionen können verwendet werden, um eine korrekte Interpretation zu gewährleisten.

-t tty, --tty TTY
    Der nächste Ausdruck ist ein Terminal (tty oder pty).

-u Benutzer, --user Benutzer
    Der nächste Ausdruck ist ein Benutzername.

-p PID, --pid PID
    Der nächste Ausdruck ist eine Prozesskennung (ID).

-c Befehl, --command Befehl
    Der nächste Ausdruck ist ein Befehlsname.

--ns PID
    sucht nach Prozessen, die zum gleichen Namensraum wie PID gehören.

--nslist Namensraum,...
    listet die Namensräume auf, die in der Option --ns berücksichtigt werden. Verfügbare Namensräume: ipc, mnt, net, pid, user, uts.

SIGNALE
Das Verhalten der Signale ist in der Handbuchseite zu signal(7) beschrieben.

BEISPIELE

snice -c seti -c crack +7
    verlangsamt die Ausführung der seti- und crack-Befehle.

skill -KILL -t /dev/pts/*
    killt Benutzer auf PTY-Geräten.

skill -STOP -u viro -u lm -u davem
    stoppt drei Benutzer.

SIEHE AUCH
kill(1), kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7)

STANDARDS
Es sind keine Standards anwendbar.

AUTOR
Albert Cahalan (albert@users.sf.net) schrieb skill und snice im Jahre 1999 als Ersatz für eine unfreie Version.

FEHLER MELDEN
Bitte schicken Sie Fehlermeldungen (auf Englisch) an procps@freelists.org.